WordPress 4.7.1
[autoinstalls/wordpress.git] / wp-includes / script-loader.php
index be32073c039323ee5951c7282a346b892af7f12d..b9b2bdbcac10013bf5b34c0a487bc13099fb1d74 100644 (file)
@@ -507,7 +507,7 @@ function wp_default_scripts( &$scripts ) {
        $scripts->add( 'wp-api', "/wp-includes/js/wp-api$suffix.js", array( 'jquery', 'backbone', 'underscore' ), false, 1 );
        did_action( 'init' ) && $scripts->localize( 'wp-api', 'wpApiSettings', array(
                'root'          => esc_url_raw( get_rest_url() ),
-               'nonce'         => wp_create_nonce( 'wp_rest' ),
+               'nonce'         => ( wp_installing() && ! is_multisite() ) ? '' : wp_create_nonce( 'wp_rest' ),
                'versionString' => 'wp/v2/',
        ) );